Bug 1873496 - operator interprets running pruning job as success
Summary: operator interprets running pruning job as success
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image Registry
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.5.z
Assignee: Ricardo Maraschini
QA Contact: Wenjing Zheng
URL:
Whiteboard:
Depends On: 1857684
Blocks: 1873534
TreeView+ depends on / blocked
 
Reported: 2020-08-28 14:00 UTC by OpenShift BugZilla Robot
Modified: 2020-09-14 14:54 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Running jobs were being considered as "succeed" Consequence: Operator was temporarily removed from Degraded state while the job was running. Fix: Disregard running jobs when evaluating the Operator state Result: Operator degraded state remains the previous one until the job is finished.
Clone Of:
Environment:
Last Closed: 2020-09-14 14:54:27 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-image-registry-operator pull 599 None closed [release-4.5] Bug 1873496: Using last finished job status and disabling retries 2020-09-24 10:56:27 UTC
Red Hat Product Errata RHBA-2020:3618 None None None 2020-09-14 14:54:48 UTC

Comment 3 Wenjing Zheng 2020-09-10 05:49:45 UTC
Verified on 4.5.0-0.nightly-2020-09-07-062006.

Comment 5 errata-xmlrpc 2020-09-14 14:54:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.5.9 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:3618


Note You need to log in before you can comment on or make changes to this bug.